Subject: Re: bug#41715: The program '/gnu/store/foobar/compute-guix-derivation' failed to compute the derivation for guix

From: [email-masked]
Date: Fri, 12 Jun 2020 07:54:32 +0200

Hej Ludo,

crazy, I wouldn't have thought it would go as deep as gdb as quickly ;-)

I followed the steps you mentioned, the results you find here: 
https://www.mediafire.com/file/g5yz8f3pput8f3w/gdb-output/file  . The 
only part I omitted from the gdb output is the first lines mentioned the 
license. (Will look at IPFS, maybe next time :))

If you need anything else, dont hesitate to specify. Also, should a 
reinstall become necessary, that would be annoying but not the end of 
the world. So if we hit a dead end thats fine by me.

Thanks a lot for your help. So far, I received only good from the guix 
community :)

Greetings,
Olivier

On 09.06.2020 16:30, Ludovic Courtès wrote:
> Hi,
> 
> [email-masked] skribis:
> 
>> here is the log uploaded on mediafire:
>> http://www.mediafire.com/file/ldqoi68y88rzrn9/log.bz2/file (note that
>> if you can recommend another uploading service, feel free to!)
> 
> I don’t know, maybe you could run IPFS.
> 
> The log reads:
> 
> --8<---------------cut here---------------start------------->8---
> clone(child_stack=NULL,
> flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
> child_tidptr=0x7f3d44cfee50) = 1498
> close(17)                               = 0
> read(16, "", 1)                         = 0
> close(16)                               = 0
> wait4(1498, [{WIFSIGNALED(s) && WTERMSIG(s) == SIGBUS}], 0, NULL) = 
> 1498
> --8<---------------cut here---------------end--------------->8---
> 
> … which means the ‘compute-guix-derivation’ process crashed with 
> SIGBUS.
> 
> Could you run:
> 
>   ulimit -c unlimited
>   guix pull
> 
> That should fail again, but this time there should be a ‘core’ file in
> the current directory (or ‘core.’ followed by digits).
> 
> Then you can run:
> 
>   gdb --core=./core
> 
> and at the GDB prompt, type:
> 
>   thread apply all bt
> 
> Could you let me know what that returns?
> 
> Thanks,
> Ludo’.